## org.eclipse.emf.cdo.common.revision.delta
Interface CDORevisionDelta

All Known Subinterfaces:
  InternalCDORevisionDelta

    public interface CDORevisionDelta

Method Summary
`void` `accept(CDOFeatureDeltaVisitor visitor)`
`void` `apply(CDORevision revision)`
`int` `getDirtyVersion()` Specify the version of the object AFTER it was modified.
`java.util.List<CDOFeatureDelta>` `getFeatureDeltas()`
`CDOID` `getID()`
`int` `getOriginVersion()` Specify the version of the object BEFORE it was modified.

Method Detail

### getID

    CDOID getID()

### getOriginVersion

    int getOriginVersion()

  Specify the version of the object BEFORE it was modified.

### getDirtyVersion

    int getDirtyVersion()

  Specify the version of the object AFTER it was modified.

### getFeatureDeltas

    java.util.List<CDOFeatureDelta> getFeatureDeltas()

### apply

    void apply(CDORevision revision)

### accept

    void accept(CDOFeatureDeltaVisitor visitor)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.